TWINKLE(1)

NAME
Twinkle - Twinkle 1.9.0

SYNOPSIS
twinkle [options]

OPTIONS

-c  Run in command line interface (CLI) mode

--share <dir>
    Set the share directory.

-f <profile>
    Startup with a specific profile. You will not be requested to choose a profile at startup. The profiles that you created are the .cfg files in your .twinkle directory. You may specify multiple profiles separated by spaces.

--force
    If a lock file is detected at startup, then override it and startup.

--sip-port <port>

    Port for SIP signalling. This port overrides the port from the system settings.

--rtp-port <port>

    Port for RTP. This port overrides the port from the system settings.

--call <address>

    Instruct Twinkle to call the address. When Twinkle is already running, this will instruct the running process to call the address. The address may be a full or partial SIP URI. A partial SIP URI will be completed with the information from the user profile.

    A subject may be passed by appending '?subject=<subject>' to the address.

    Examples: twinkle --call 123456 twinkle --call sip:example@example.com?subject=hello

--cmd <cli command>

    Instruct Twinkle to execute the CLI command. You can run all commands from the command line interface mode. When Twinkle is already running, this will instruct the running process to execute the CLI command.

    Examples: twinkle --cmd answer twinkle --cmd mute twinkle --cmd 'transfer 12345'

--immediate
    This option can be used in conjunction with --call or --cmd It indicates the the command or call is to be performed immediately without asking the user for any confirmation.

--set-profile <profile>

    Make <profile> the active profile. When using this option in conjunction with --call and --cmd, then the profile is activated before executing --call or --cmd.

--show
    Instruct a running instance of Twinkle to show the main window and take focus.

--hide
    Instruct a running instance of Twinkle to hide in the system tray. If no system tray is used, then Twinkle will minimize.

--help-cli [cli command]

    Without a cli command this option lists all available CLI commands. With a CLI command this option prints help on the CLI command.

--version
    Get version information.

COPYRIGHT
Copyright © 2005-2015 Michel de Boer and contributors http://twinkle.dolezel.info

Built with support for: ALSA, Speex, iLBC, ZRTP

Contributions: * Werner Dittmann (ZRTP/SRTP) * Bogdan Harjoc (AKAv1-MD5, Service-Route) * Roman Imankulov (command line editing) * Ondrej Moris (codec preprocessing) * Rickard Petzall (ALSA)

This software contains the following software from 3rd parties: * GSM codec from Jutta Degener and Carsten Bormann, University of Berlin * G.711/G.726 codecs from Sun Microsystems (public domain) * iLBC implementation from RFC 3951 (www.ilbcfreeware.org) * Parts of the STUN project at http://sourceforge.net/projects/stun * Parts of libsrv at http://libsrv.sourceforge.net/

For RTP the following dynamic libraries are linked: * GNU ccRTP - http://www.gnu.org/software/ccrtp * GNU uCommon C++ - http://www.gnutelephony.org/index.php/Category:Software

Twinkle comes with ABSOLUTELY NO WARRANTY. This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

SEE ALSO
The full documentation for Twinkle is maintained as a Texinfo manual. If the info and Twinkle programs are properly installed at your site, the command

    info Twinkle

should give you access to the complete manual.